require_relative 'flashcards.rb'
require_relative 'deck.rb'
# require_relative '../controllers/game.rb'
class View

  class << self
    def render(text)
      puts text
    end

    def show_question(card)      render card.question
    end

    def show_answer(card)
      render ("The correct answer is: '#{card.answer}'")
    end

    def wrong_answer
      render("Wrong answer! Wanna try again? (y/n)")
    end

    def correct_answer
      render("Correct!")
    end

    def game_intro
      render("Welcome to flashcards! Type your input for each question and lets start learning! To exit, type 'exit'")
    end
  end
end

